Skip to main content
GET
/
api
/
v1
/
bulletins
/
{id}
/
tracker
Get bulletin tracker
curl --request GET \
  --url https://api.example.com/api/v1/bulletins/{id}/tracker \
  --header 'Authorization: Bearer <token>'
{
  "id": "1fa85f64-5717-4562-b3fc-2c963f66afa1",
  "platform": "television",
  "slot": "evening",
  "scheduled_at": "2026-05-27T19:00:00Z",
  "studio": "Studio A",
  "slot_duration": "00:30:00",
  "editor_on_duty": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "John Doe",
    "employee_number": "EMP-001"
  },
  "editor_in_chief": {
    "id": "4fa85f64-5717-4562-b3fc-2c963f66afa7",
    "name": "Jane Smith",
    "employee_number": "EMP-002"
  },
  "presenters": [
    {
      "id": "5fa85f64-5717-4562-b3fc-2c963f66afa8",
      "name": "Peter Kamau",
      "employee_number": "EMP-003"
    }
  ],
  "report_status": "draft",
  "slots": [],
  "created_at": "2026-05-27T10:00:00Z",
  "updated_at": "2026-05-27T10:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Bulletin.

Response

200 - application/json
id
string<uuid>
required
read-only
platform
enum<string>
required

Broadcast platform

  • television - Television
  • radio - Radio
Available options:
television,
radio
slot
enum<string>
required

Scheduled broadcast window

  • morning - Morning
  • midday - Midday
  • afternoon - Afternoon
  • evening - Evening
  • late_night - Late Night
  • breaking - Breaking
Available options:
morning,
midday,
afternoon,
evening,
late_night,
breaking
scheduled_at
string<date-time>
required

Date and time the bulletin is scheduled to air

editor_in_chief
string<uuid> | null
required
read-only

User ID of the editor in chief / head of news who reviews the report

report_status
enum<string>
required
read-only

Current state of the post-bulletin report

  • draft - Draft
  • signed_off - Signed Off
  • awaiting_review - Awaiting Review
  • reviewed - Reviewed
Available options:
draft,
signed_off,
awaiting_review,
reviewed
slots
object[]
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
studio
string

Studio or broadcast location

Maximum string length: 100
slot_duration
string | null

Total editorial time allocated for this bulletin slot (e.g. 30 minutes)

editor_on_duty
string<uuid> | null

User ID of the editor managing this bulletin

presenters
string<uuid>[]

User IDs of the news presenters/anchors for this bulletin